6.0.0-git
2019-04-25

[#10727] Allow scheduling events in non-local timezones
Summary Allow scheduling events in non-local timezones
Queue Kronolith
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester bklang (at) horde (dot) org
Created 2011-11-09 (2724 days ago)
Due
Updated 2012-08-29 (2430 days ago)
Assigned
Resolved 2011-11-13 (2720 days ago)
Milestone 3.1
Patch No

History
2012-08-29 12:24:12 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 65b46cf8f1fef3ea006f6bde35c73cd244e3c386
Author: Jan Schneider <jan@horde.org>
Date:   Sat Nov 12 01:40:52 2011 +0100

     Allow to set individual timezones for each event (Request #10727).

     Todos:
     - Implement in traditional view.
     - Dynamically show and hide timezone field depending on the selected
       driver's capabilities.
     - Think about recurrence exceptions.

  kronolith/docs/CHANGES             |    1 +
  kronolith/js/kronolith.js          |    1 +
  kronolith/lib/Ajax/Application.php |    5 +++
  kronolith/lib/Driver.php           |   10 ++++++
  kronolith/lib/Driver/Sql.php       |   16 +++++++--
  kronolith/lib/Event.php            |   46 +++++++++++++++++++++++---
  kronolith/lib/Event/Sql.php        |    5 +++
  kronolith/lib/Kronolith.php        |   62 +++++++++++++++++++++++++++++++----
  kronolith/package.xml              |    2 +-
  kronolith/templates/index/edit.inc |    8 +++++
  10 files changed, 140 insertions(+), 16 deletions(-)

http://git.horde.org/horde-git/-/commit/65b46cf8f1fef3ea006f6bde35c73cd244e3c386
2011-11-13 20:06:24 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 3.1
 
2011-11-09 13:48:16 Ben Klang Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Allow scheduling events in non-local timezones
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
There are times I want to schedule an event in a timezone other than 
my home.  Examples are when traveling to an event in another city or 
when scheduling a recurring event based on the time in another 
location.  The second use case is especially important because of 
daylight savings time changes.  For example, a coworker of mine who 
lives in the UK wanted to schedule a recurring meeting at 10AM EST.   
He scheduled it in his local time based on the offset at the time 
(which was only 4 hours) but then the events were wrong when the DST 
change occurred.  It would have been easier if he could have scheduled 
the event itself to be in my timezone.

Saved Queries